package batmasnet

import (
	"fmt"

	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Автоматически воюет в битве мастеров
*/

// BatMasNet -- танкует в битве мастеров
type BatMasNet struct {
	*sectionnet.SectionNet
}

// NewBatMasNet -- возвращает новый *BatMasNet
func NewBatMasNet(server types.IServer, bot types.IServBot) (*BatMasNet, error) {
	{ // Предусловия
		if server == nil {
			return nil, fmt.Errorf("NewBatMasNet(): IServer == nil")
		}
		if bot == nil {
			return nil, fmt.Errorf("NewBatMasNet(): IServBot == nil")
		}
	}

	sf := &BatMasNet{
		// SectionNet: sectionnet.NewSectionNet(server, bot, ..., "http://wartank.ru/pvp"),
	}
	return sf, nil
}
